CallingSchedulerResult (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.shared.obj
Class CallingSchedulerResult

    java.lang.Object
      org.gcube.datatransfer.portlets.user.shared.obj.CallingSchedulerResult

All Implemented Interfaces:
  com.kfuntak.gwt.json.serialization.client.JsonSerializable

    public class CallingSchedulerResult

extends Object
implements com.kfuntak.gwt.json.serialization.client.JsonSerializable

Constructor Summary
`CallingSchedulerResult()`

Method Summary
`static com.kfuntak.gwt.json.serialization.client.Serializer` | `createSerializer()`
`String` | `getCancelResult()`
`List<String>` | `getErrors()`
`String` | `getMonitorResult()`
`String` | `getPrintResult()`
`String` | `getSchedulerOutcomes()`
`String` | `getStatus()`
`String` | `getTransferid()`
`void` | `setCancelResult(String cancelResult)`
`void` | `setErrors(List<String> errors)`
`void` | `setMonitorResult(String monitorResult)`
`void` | `setPrintResult(String printResult)`
`void` | `setSchedulerOutcomes(String schedulerOutcomes)`
`void` | `setStatus(String status)`
`void` | `setTransferid(String transferid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallingSchedulerResult

    public CallingSchedulerResult()

Method Detail

### getTransferid

    public String getTransferid()

### setTransferid

    public void setTransferid(String transferid)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getErrors

    public List<String> getErrors()

### setErrors

    public void setErrors(List<String> errors)

### getCancelResult

    public String getCancelResult()

### setCancelResult

    public void setCancelResult(String cancelResult)

### getMonitorResult

    public String getMonitorResult()

### setMonitorResult

    public void setMonitorResult(String monitorResult)

### getSchedulerOutcomes

    public String getSchedulerOutcomes()

### setSchedulerOutcomes

    public void setSchedulerOutcomes(String schedulerOutcomes)

### getPrintResult

    public String getPrintResult()

### setPrintResult

    public void setPrintResult(String printResult)

### createSerializer

    public static com.kfuntak.gwt.json.serialization.client.Serializer createSerializer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.